/*********************************
* Harddisk Manager 1.1.2 Install *
**********************************/

/* Load REXXUTIL */
call RxFuncAdd "SysLoadFuncs","REXXUTIL","SysLoadFuncs"
call SysLoadFuncs


/* Copy javaw.exe */
found=0
path0 = translate(value('path',,'OS2ENVIRONMENT'))
path = path0';'
do while (found = 0) & (length(path) > 0)
  path = overlay(' ',path,pos(';',path))
  parse var path  javadir  path
  found = pos('JAVA',javadir)
end
if found>0 then do
	if FileExist(javadir'\javapm.exe')=0 then do
		Say 'Copying javaw.exe'
		'@copy' javadir'\javaw.exe' javadir'\javapm.exe' '>nul'
	end
end
if found=0 then do
	say "Your Java JRE isn't installed properly."
	say "Install can't continue."
	exit 0
end


/* Classpath */
found=0
classpath0 = translate(value('classpath',,'OS2ENVIRONMENT'))
classpath = classpath0';'
do while (found = 0) & (length(classpath) > 0)
  path = overlay(' ',classpath,pos(';',classpath))
  parse var classpath  newdir  classpath
  found = pos('LVMGUI.ZIP',newdir)
end
if found=0 then do
	say "Your Classpath isn't installed properly."
	say 'Add a line SET CLASSPATH=<bootdrive>:\os2\javaapps\lvmgui.zip; to your config.sys'
	say "Install can't continue."
	exit 0
end

/* LVMGUI */
backup = SysBootDrive()'\OS2\JAVAAPPS\LVMGUI.ZIP.BAK'
target = SysBootDrive()'\OS2\JAVAAPPS\LVMGUI.ZIP'
key = 'Y'

if FileExist(backup) then do
	say "Overwriting backup [yn]?"
	pull key
end

if key = 'Y' then do
	Say 'Backup current lvmgui.zip'
	'@copy' target backup '>nul'
end

Say 'Copying new lvmgui.zip'
'@copy' 'lvmgui.zip' target '>nul'

	
exit 0

/* ------------------------------------------------------------------ */
/* function: Check if a file exists                                   */
/*                                                                    */
/* call:     FileExist fileToTest                                     */
/*                                                                    */
/* where:    fileToTest - name of the file to test                    */
/*                                                                    */
/* returns:  -2 - invalid parameter                                   */
/*           -1 - cannot detect (e.g. the drive is not ready)         */
/*            0 - neither a file, a device nor a directory with this  */
/*                name exist                                          */
/*            1 - the file exist                                      */
/*            2 - a device driver with the name exists                */
/*            3 - a directory with the name exists                    */
/*                                                                    */
FileExist: PROCEDURE
  parse arg fileName .

                        /* install temporary error handler            */
  SIGNAL ON NOTREADY NAME FileExistError
  SIGNAL ON FAILURE  NAME FileExistError
  SIGNAL ON ERROR    NAME FileExistError

  thisRC = -2           /* rc = -2 ->> invalid parameter              */

                        /* check the parameter                        */
  if strip( fileName ) <> "" then
  do
    thisRC = -1         /* rc = -1 ->> cannot detect the result       */

                        /* check if the drive with the file is ready  */
    call stream fileName
                        /* turn of some error handling so we can      */
                        /* determine if the given name is the name of */
                        /* a device (for example "LPT1")              */
    SIGNAL OFF NOTREADY

    if stream( fileName, "c", "QUERY EXISTS" ) <> "" then
    do
                        /* seems that the file exists -- check if     */
                        /* it is a device                             */
      if stream( fileName, "c", "QUERY DATETIME" ) == "" then
        thisRC = 2      /* rc = 2 ->> this is a device name           */
      else
        thisRC = 1      /* rc = 1 ->> this is a file name             */
    end /* if stream( ... */
    else
    do
                        /* seems that the file does not exist --      */
                        /* check if a directory with the name for the */
                        /* file exist                                 */

                        /* save the current directory of the current  */
                        /* drive                                      */
      thisDir = directory()
                        /* save the current directory of the drive    */
                        /* with the file to check                     */
      tempDir = directory( fileSpec( "Drive", fileName ) )

      if directory( fileName ) <> "" then
        thisRC = 3      /* rc = 3 ->> a dir with this name exists     */
      else
        thisRC = 0      /* rc = 0 ->> neither a file, a device nor a  */
                        /*            dir with this name exists       */

                        /* restore the current directory of the drive */
                        /* with the directory to check                */
      call directory tempDir
                        /* restore the current directory of the       */
                        /* current drive                              */
      call directory thisDir
    end /* else */
  end /* if strip( fileName ) <> "" then */

FileExistError:

RETURN thisRC
